package domain

type TmallExchangeConfirmConsignRefundBaseResponse struct {
	/*
	   message     */
	Message *string `json:"message,omitempty" `

	/*
	   msgCode     */
	MsgCode *string `json:"msg_code,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `

	/*
	   exchange     */
	Exchange *TmallExchangeConfirmConsignExchange `json:"exchange,omitempty" `
}

func (s *TmallExchangeConfirmConsignRefundBaseResponse) SetMessage(v string) *TmallExchangeConfirmConsignRefundBaseResponse {
	s.Message = &v
	return s
}
func (s *TmallExchangeConfirmConsignRefundBaseResponse) SetMsgCode(v string) *TmallExchangeConfirmConsignRefundBaseResponse {
	s.MsgCode = &v
	return s
}
func (s *TmallExchangeConfirmConsignRefundBaseResponse) SetSuccess(v bool) *TmallExchangeConfirmConsignRefundBaseResponse {
	s.Success = &v
	return s
}
func (s *TmallExchangeConfirmConsignRefundBaseResponse) SetExchange(v TmallExchangeConfirmConsignExchange) *TmallExchangeConfirmConsignRefundBaseResponse {
	s.Exchange = &v
	return s
}
